﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;
using Telerik.Core;

namespace WU_Calendar
{
    public class MyAppointmentSource : AppointmentSource
    {
        public override System.Collections.ObjectModel.ObservableCollection<IAppointment> FetchData(DateTime startDate, DateTime endDate)
        {
            var appointments = new ObservableCollection<IAppointment>();
            appointments.Add(new MyAppointment() { StartDate = DateTime.Today.Date, EndDate = DateTime.Today.AddDays(1), Subject = "Appointment 1" });
            appointments.Add(new MyAppointment() { StartDate = DateTime.Today.AddDays(4), EndDate = DateTime.Today.AddDays(5), Subject = "Appointment 2" });
            return appointments;
        }
    }
}